<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>INMOBILIARIA</title>

    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.3/dist/leaflet.css"
     integrity="sha256-kLaT2GOSpHechhsozzB+flnD+zUyjE2LlfWPgU04xyI="
     crossorigin=""/>
    <script src="https://unpkg.com/leaflet@1.9.3/dist/leaflet.js"
     integrity="sha256-WBkoXOwTeyKclOHuWtc+i2uENFpDZ9YPdf5Hf+D7ewM="
     crossorigin=""></script>
     <link rel="stylesheet" href="RaulAsier.css"/>
</head>

<body>

    <form>
        <label for="selectipo">Selecciona el tipo de inmueble:</label>
        <select id="selectipo" name="tipo">
            <option value="none">--Selecciona una opción--</option>
            <option value="piso">Piso</option>
            <option value="casa">Casa</option>
            <option value="restauracion">Restauración</option>
            <option value="comerciales">Comerciales</option>
            <option value="industriales">Industriales</option>
        </select>
    </form>

    <form id="locate">

        <div id="comun">

            <label for="referenciacatastral">Referencia catastral: </label>
            <input type="text" id="referenciacatastral" name="referenciacatastral" pattern="^(?=(?:\D*\d){5}\D*$)\S{20}$" title="Debe tener 20 caracteres y, al menos, 5 dígitos" required><br>
            <label for="direccion">Dirección: </label>
            <input type="text" name="address" id="address" pattern=".{3,50}" title="Debe tener entre 5 y 50 caracteres" required><br>
            <label for="metroscuadrados">Metros cuadrados: </label>
            <input type="number" id="metroscuadrados" name="metroscuadrados" min="0" max="1000" required><br>
            <label for="preciobase">Precio base: </label>
            <input type="number" id="preciobase" name="preciobase" min="0" max="100000000" required><br>
            <label for="foto">Foto: </label>
            <input type="text" id="foto" name="foto" pattern="https?://.+" title="Debe ser en formato URL" required><br>
            <label for="estado">Estado: </label>
            <input type="text" id="estado" name="estado" pattern=".{3,50}" title="Debe tener 3 y 50 caracteres" required><br>
            <label for="añoconstruccion">Año de construcción: </label>
            <input type="number" id="añoconstruccion" name="añoconstruccion" min="1800" max="2023" required><br>
            <label for="coordenadasgeograficas">Coordenadas geográficas: </label>
            <input type="text" id="coordenadasgeograficas" name="coordenadasgeograficas" pattern="^-?[0-9]{1,2}(?:\.[0-9]{1,6})?,\s*-?[0-9]{1,3}(?:\.[0-9]{1,6})$" title="Ejemplo: -12.345678, -123.456789" required><br>
        </div>

        <div id="piso">

            <label for="numbañospiso">Número de baños: </label>
            <input type="number" id="numbañospiso" min="1" max="20"><br>
            <label for="numhabspiso">Número de habitaciones: </label>
            <input type="number" id="numhabspiso" min="1" max="30"><br>
            <label for="planta">Planta: </label>
            <input type="number" id="planta" min="0" max="30"><br>
            <label for="asc">Ascensor: </label>
            <input type="radio" name="asc" value="true">Sí
            <input type="radio" name="asc" value="false">No <br>
            <label for="metrosterraza">Metros cuadrados de la terraza: </label>
            <input type="number" id="metrosterraza" min="0" max="1000">

        </div>

        <div id="casa">
            <label for="numbañoscasa">Número de baños: </label>
            <input type="number" id="numbañoscasa" min="1" max="20"><br>
            <label for="numhabscasa">Número de habitaciones: </label>
            <input type="number" id="numhabscasa" min="1" max="30"><br>
            <label for="tipocasa">Tipo de casa: </label>
            <input type="text" id="tipocasa" pattern=".{3,50}" title="Debe tener 3 y 50 caracteres"><br>
            <label for="metrosjardin">Metros cuadrados del jardín: </label>
            <input type="number" id="metrosjardin" min="0" max="1000"><br>
            <label for="piscina">Piscina: </label>
            <input type="radio" name="piscina" value="true">Sí
            <input type="radio" name="piscina" value="false">No<br>
        </div>

        <div id="restauracion">
            <label for="mobiliario">Mobiliario: </label>
            <input type="radio" name="mobiliario" value="true">Si
            <input type="radio" name="mobiliario" value="false">No<br>
            <label for="cafetera">Cafetera: </label>
            <input type="radio" name="cafetera" value="true">Sí
            <input type="radio" name="cafetera" value="false">No<br>
            <label for="extractor">Extractor de humo: </label>
            <input type="radio" name="extractor" value="true">Sí
            <input type="radio" name="extractor" value="false">No
        </div>

        <div id="comerciales">
            <label for="adaptado">Adaptado para minusválidos: </label>
            <input type="radio" name="adaptado" value="true">Sí
            <input type="radio" name="adaptado" value="false">No
        </div>

        <div id="industriales">
            <label for="suelourbano">Suelo urbano: </label>
            <input type="radio" name="suelourbano" value="true">Sí
            <input type="radio" name="suelourbano" value="false">No
            <label for="cargadescarga">Puerto de carga y descarga: </label>
            <input type="radio" name="cargadescarga" value="true">Sí
            <input type="radio" name="cargadescarga" value="false">No<br>
        </div>
        <input type="submit" name="" id="envia" value="Enviar">

    </form>

    <div id="map"></div>

    <script src="RaulAsier.js"></script>
</body>

</html>